InterfaceMap

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.net
Class InterfaceMap

    java.lang.Object
      javax.tv.net.InterfaceMap

    public class InterfaceMap

extends Object

Class `InterfaceMap` reports the local IP address assigned to a given service component that carries IP data. Applications may use the returned IP address to specify the network interface to which an instance of `java.net.DatagramSocket` or `java.net.MulticastSocket` should bind.

See Also:
  `DatagramSocket.DatagramSocket(int, java.net.InetAddress)`, `MulticastSocket.setInterface(java.net.InetAddress)`

Constructor Summary
`InterfaceMap()`

Method Summary
`static InetAddress` | `getLocalAddress(Locator locator)` Reports the local IP address assigned to the given service component.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceMap

    public InterfaceMap()

Method Detail

### getLocalAddress

    public static InetAddress getLocalAddress(Locator locator)
                                       throws InvalidLocatorException,
                                              IOException

  Reports the local IP address assigned to the given service component.

  Parameters:
    `locator` - The service component for which the local IP address mapping is required.
  Returns:
    The IP address assigned to this service component.
  Throws:
    `InvalidLocatorException` - If the given locator does not refer to a valid source of IP data, or if this system does not support the reception of broadcast IP data.
    `IOException` - If a local IP address is not available to be assigned to the source of IP data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD